{{
This is just a little demo, which shows how to load PASM code from a SD card and
run it in a COG. Prerequisite for running this program is that the PASMstore has been
run first and the ledtoggl.cog file is available on the SD card.

Please make sure that you modify the SDCardPinBase to match your SD card connection.

}}
CON
        _clkmode        = xtal1 + pll8x
        _xinfreq        = 10_000_000
        
        SDCardPinBase   = 19
        
obj
   sdfat: "fsrw"

var
   long led_pin, dt
   long load_buffer[512], length
   
pub BigProgram
   ' initialize the SD card
   sdfat.mount(SDCardPinBase)
   
   ' then we load the COG assembler routine
   sdfat.popen(string("ledtoggl.cog"), "r")
   sdfat.pread(@length, 4)
   sdfat.pread(@load_buffer, length)
   sdfat.pclose

   ' initialize the parameters needed for this routine
   led_pin := 2
   dt := 20_000_000
   ' and run the loaded program
   cognew( @load_buffer, @led_pin )